DSCVERIFY(1)

BEZEICHNUNG
dscverify - überprüft die Gültigkeit eines Debian-Pakets

ÜBERSICHT
dscverify [--keyring Schlüsselbund] … changes-_oder_buildinfo-_oder_dsc-Dateiname …

BESCHREIBUNG
dscverify prüft, ob die GPG-Signaturen der angegebenen .changes-, .buildinfo- oder .dsc-Dateien gute Signaturen sind, die durch Schlüssel aus aktuellen Debian-Schlüsselbünden erstellt wurden, die aus dem Paket debian-keyring stammen. (Zusätzliche Schlüsselbünde können beliebig oft mittels der Option --keyring angegeben werden.) Dann prüft es, ob die anderen in den .changes-, .buildinfo- oder .dsc-Dateien aufgeführten Dateien die korrekten Größen und Prüfsummen aufweisen (MD5 plus SHA1 und SHA256, falls letzteres vorhanden ist). Der Exit-Status ist 0, falls es keine Probleme gibt, andernfalls ungleich 0,

OPTIONEN

--keyring Schlüsselbund
    fügt der Liste der zu benutzenden Schlüsselbünde Schlüsselbund hinzu.

--no-default-keyrings
    verwendet nicht den vorgegebenen Satz von Schlüsselbünden.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--nosigcheck, --no-sig-check, -u
    überspringt den Signaturprüfschritt. Sprich, es prüft nur die Größen und Prüfsummen der in den .changes-, .buildinfo- oder .dsc-Dateien aufgeführten Dateien.

--verbose
    unterdrückt nicht die Ausgabe von GPG.

--help, -h
    zeigt eine Hilfenachricht an und endet erfolgreich

--version
    zeigt Versions- und Copyright-Informationen an und endet erfolgreich.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden durch eine Shell in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Umgebungsvariablen werden zu diesem Zweck ignoriert. Falls die erste Befehlszeilenoption --noconf oder --no-conf ist, werden diese Dateien nicht gelesen. Die derzeit bekannte Variable ist:

DSCVERIFY_KEYRINGS
    Dies ist eine durch Doppelpunkte getrennte Liste zusätzlicher Schlüsselbünde, die zusätzlich zu denen benutzt werden, die auf der Befehlszeile angegeben wurden.

SCHLÜSSELBUND
Bitte beachten Sie, dass der vom Paket »debian-keyring« bereitgestellte Schlüsselbund etwas veraltet sein kann. Die letzte Version können Sie mit Rsync abrufen, wie es in der »debian-keyring« mitgegebenen Datei README dokumentiert ist. Falls Sie den Schlüsselbund an einen unüblichen Ort synchronisieren (siehe unten), können Sie die Möglichkeiten nutzen, zusätzliche Schlüsselbünde anzugeben, indem Sie entweder die oben erwähnte Konfigurationsoption oder die Option --keyring verwenden.

Nachfolgend ein Beispiel für einen Alias:

alias dscverify='dscverify --keyring ~/.gnupg/pubring.gpg'

SPEICHERORTE DES STANDARDSCHLÜSSELBUNDS
Standardmäßig sucht Dscverify den Debian-Schlüsselbund an den folgenden Speicherorten:

- ~/.gnupg/trustedkeys.gpg

- /srv/keyring.debian.org/keyrings/debian-keyring.gpg

- /usr/share/keyrings/debian-keyring.gpg

- /usr/share/keyrings/debian-maintainers.gpg

- /usr/share/keyrings/debian-nonupload.gpg

SIEHE AUCH
gpg(1), gpg2(1), devscripts.conf(5)

AUTOR
dscverify wurde von Roderick Schertler <roderick@argon.org> geschrieben und mit vielen Änderungen von Julian Gilbey <jdg@debian.org> an die Mailingliste debian-devel@lists.debian.org geschickt.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.